/*
 * Copyright (c) 2021. Julien Fischer
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/*************************************************************************
    GLOBAL STYLES
*************************************************************************/

html, body {
    font-family: sans-serif;
}

/*************************************************************************
    GLOBAL
*************************************************************************/

.fill-parent {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: auto;
}

select:focus,
button:focus,
input[type=text]:focus {
    /*outline: 2px solid var(--color-primary);*/
}

input[type=text] {
    background: var(--form-element-background);
    color: var(--form-element-foreground);
}

/*************************************************************************
    COMPONENTS
*************************************************************************/

button {
    color: var(--global-strong-foreground);
    transition: background .3s, border .3s;
}

button.disabled {
    background: var(--button-disabled-background);
    color: var(--button-disabled-foreground);
}

button.disabled:hover {
    background: var(--button-disabled-background) !important;
    color: var(--button-disabled-foreground) !important;
    cursor: default;
}

button.primary {
    background: var(--neutral-0);
    color: var(--global-strong-foreground);
    border: 1px solid var(--neutral-0);
    letter-spacing: 1px;
}

button.primary:hover {
    background: var(--accent-primary);
    border: 1px solid var(--accent-primary);
    color: #fff;
}

button.secondary {}

button.neutral {}


button.style-text {
    border: none;
    background: none;
    color: var(--button-text-foreground);
    padding: 10px 12px;
    transition: .2s;
}

button.style-text:hover {
    color: var(--accent-primary-strong);
}

button.style-filled {
    border: none;
    border-radius: 4px;
}

button.style-filled:not(.disabled) {
    background: var(--button-filled-background);
    color: var(--button-filled-foreground);
}

button.style-filled:hover {
    background: var(--button-neutral-hover-background);
}

button.style-filled.primary {
    background: var(--accent-primary);
    border: 1px solid var(--accent-primary);
    color: var(--palette-white);
}

button.style-filled.primary:hover {
    background: transparent;
    color: var(--accent-primary-strong);
    border: 1px solid var(--accent-primary-strong);
}

button.style-outlined {
    color: var(--form-element-foreground);
    background: transparent;
    border: 1px solid var(--form-element-border);
    border-radius: 4px;
}

button.style-outlined:hover {
    border: 1px solid var(--form-element-hover-border);
}

button.style-icon {
    width: 35px;
    height: 35px;
    margin-right: 15px;
    font-size: 20px;
    border: none;
}

button.style-icon .icon {
    transition: .2s;
}

button.style-rectangle {
    padding: 8px 20px;
}

button.style-square {
    width: 25px;
    height: 25px;
    font-size: 1.025em;
    position: relative;
}

button.style-fab {
    background: var(--button-fab-background);
    color: var(--button-fab-foreground);
    position: fixed;
    width:  42px;
    height: 42px;
    border: none;
    border-radius: 10px;
    transition: .3s;
    font-size: 1.5em;
    z-index: 10;
}

button.style-fab:hover {
    background: var(--accent-primary);
}

.dialog {
    z-index: 999;
    box-shadow: 0 1px 5px rgba(0, 0, 0, .2);
}

.dialog-title {
    border-bottom: 1px solid var(--neutral-2);
    letter-spacing: 1px;
    font-size: 1.1em;
    color: var(--dialog-title-foreground);
    margin-bottom: 20px;
    padding-bottom: 10px;
}

.dialog .close-btn {
    position: absolute;
    top: 0;
    right: 0;
    background: transparent;
    border: transparent;
}

.snackbar {
    position: absolute;
    bottom: -30px;
    right: 15px;
    width: 240px;
    padding: 0 20px;
    height: 45px;
    border-radius: 4px;
    opacity: 0;
    font-weight: bold;
    z-index: 999;
    transition: .2s cubic-bezier(0.94, 0.87, 0.47, 1.83);
}

.snackbar-label {
    height: 20px;
    text-align: left;
    font-size: .9em;
}

.message.success,
.snackbar.success {
    background: var(--message-success-background);
    color: var(--message-success-foreground);
}

.message.error,
.snackbar.error {
    background: var(--message-error-background);
    color: var(--message-error-foreground);
}

.message.info,
.snackbar.info {
    background: var(--message-info-background);
    color: var(--palette-white);
}

.message.warn,
.snackbar.warn {
    background: var(--message-warn-background);
    color: var(--message-warn-foreground);
}

.message.neutral,
.snackbar.neutral {
    background: var(--message-default-background);
    color: var(--palette-white);
}

.message {
    padding: 5px 10px;
    font-size: .9em;
    margin-bottom: 8px;
}

.step {
    margin-right: 20px;
    position: relative;
}

.step::after {
    content: '';
    position: absolute;
    top: 50%;
    right: -22px;
    margin-top: -10px;
    border-width: 10px;
    border-style: solid;
    border-color: transparent transparent transparent var(--arrow-step-background);
}

.form-element, .button-outlined, input[type=checkbox] {
    margin-bottom: 8px;
}

.form-element, .button-outlined {
    background: var(--form-element-background);
    margin-bottom: 8px;
    border: 1px solid var(--form-element-border);
    border-radius: 4px;
    transition: .3s;
    box-sizing: border-box;
}

.form-element-wrapper {
    display: flex;
}

.form-element:hover, .button-outlined:hover {
    border: 1px solid var(--form-element-hover-border);
}

.form-element-caption {
    background: var(--neutral-2);
    box-sizing: border-box;
    padding: 0 10px;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

.form-element-caption-label {
    font-size: .8em;
    text-align: center;
    height: 15px;
}

.form-element select {
    border: none;
    background: var(--form-element-background);
    color: var(--form-element-foreground);
    padding: 8px 10px;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    flex-grow: 1;
}

.textfield-input {
    padding: 8px 10px;
    flex-grow: 1;
    box-sizing: border-box;
    border: none;
    border-radius: 0 4px 4px 0;
}

.textfield-input:hover {
    border: none;
}

.textfield-input:focus {
    outline: 1px solid var(--global-strong-foreground);
}

label {
    font-size: .8em;
    display: block;
}

.expand-button-wrapper {
    padding-right: 2px;
    display: flex;
    position: absolute;
    top: 0;
    color: var(--expand-btn-wrapper-foreground);
    border-bottom-left-radius: 15px;
    transition: .3s;
    cursor: pointer;
}

.expand-button-title {
    padding: 0 10px 0 25px;
    transition: .2s;
    font-size: .95em;
}

.expand-button {
    font-size: 20px;
    font-weight: bold;
    background: transparent;
    border: none;
    color: var(--expand-btn-foreground);
    width:  40px;
    height: 40px;
    opacity: .6;
    transition: .5s ease;
}

.expand-button-wrapper:hover {
    background: var(--neutral-3);
    color: var(--expand-btn-wrapper-hover-foreground);
}

.expand-button-wrapper:hover .expand-button {
    color: var(--expand-btn-hover-foreground);
}

.expand-button-wrapper:hover .expand-button-title {
    margin-right: 5px;
}

.split-pane {
    position: relative;
    display: flex;
    flex-grow: 1;
}

.gutter {
    position: absolute;
    z-index: 3;
    transition: .3s;
}

.gutter.horizontal {
    top:    0;
    bottom: 0;
    left:   50%;
    transform: translateX(-8px);
    width: 16px;
    cursor: ew-resize;
}

.gutter.vertical {
    left:    0;
    right:   0;
    top:     50%;
    transform: translateY(-8px);
    height: 16px;
    cursor: ns-resize;
}

.gutter.horizontal::after {
    content: '';
    position: absolute;
    top:    0;
    left:   7px;
    bottom: 0;
    width:  2px;
    box-shadow: 0 1px 5px var(--gutter-shadow);
}

.gutter.vertical::after {
    content: '';
    position: absolute;
    top:    7px;
    left:   0;
    right:  0;
    height: 2px;
    box-shadow: 0 1px 5px var(--gutter-shadow);
}

.gutter.dragged {
    background: var(--gutter-dragged-background);
}

.gutter.vertical.dragged {
    cursor: row-resize;
}

.gutter.horizontal.dragged {
    cursor: col-resize;
}

/*************************************************************************
    APP
*************************************************************************/

#editjs {
    height: 100vh;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    position: relative;
    background: var(--global-secondary-background);
}

.app-container {
    display: flex;
    flex-grow: 1;
}

.float-btn {
    right: 15px;
}

.float-btn .icon {
    transition: .3s;
}

.help-btn {
    bottom: 15px;
}

.switch-theme-btn {
    bottom: 72px;
}

.switch-layout-btn {
    bottom: 129px;
}

.toggle-highlighting-btn {
    bottom: 186px;
}

.switch-layout-btn,
.toggle-highlighting-btn
.icon {
    transition: .3s;
}

/*************************************************************************
    TOOLBAR
*************************************************************************/

.toolbar {
    background-color: var(--toolbar-background);
    color: var(--global-strong-foreground);
    width: 100%;
    display: flex;
    z-index: 4;
    box-shadow: 0 1px 5px rgba(0, 0, 0, .2);
}

.branding {
    display: flex;
    padding-right: 10px;
}

.branding .logo {
    display: flex;
    align-items: center;
    padding-left: 10px;
}

.toolbar .branding-label-wrapper {
    padding-left: 10px;
    padding-right: 10px;
}

.branding-label-wrapper {
    font-size: .9em;
}

.branding-label {
}

.branding-label.left {
    color: var(--global-strong-foreground);
    font-weight: bold;
}

.branding-label.right {
    color: var(--accent-primary-strong);
    font-weight: bold;
}

.hamburger-container {
    position: relative;
}

.hamburger-btn {
    background: transparent;
    position: relative;
    padding: 10px;
    border-radius: 4px;
    transition: .2s;
}

.hamburger-btn.open:hover {
    background: var(--neutral-3);
}

.hamburger-btn:hover,
.hamburger-btn.open {
    background: var(--neutral-2);
}

/**
 * Note: this hamburger icon uses a design from Jesse Couch on CodePen:
 * https://codepen.io/designcouch/pen/ExvwPY
 */
.hamburger {
    width: 20px;
    height: 15px;
    position: relative;
}

.hamburger div {
    border-bottom-width: 3px;
    border-bottom-style: solid;
    border-color: var(--hamburger-icon-foreground);
    width: 100%;
    border-radius: 3px;
    position: absolute;
    left: 0;
    transition: .2s ease-in-out;
}

.hamburger div:nth-child(1) {
    top: 0;
}

.hamburger div:nth-child(2),
.hamburger div:nth-child(3) {
    top: 7px;
    transform: rotate(0deg);
}

.hamburger div:nth-child(4) {
    top: 14px;
}


.hamburger.open div:nth-child(1),
.hamburger.open div:nth-child(4) {
    top:7px;
    width: 0;
    left: 50%
}

.hamburger.open div:nth-child(2) {
    transform: rotate(45deg);
}

.hamburger.open div:nth-child(3) {
    transform: rotate(-45deg);
}

.hamburger-btn:hover div,
.hamburger.open div {
    border-color: var(--hamburger-icon-open-foreground);
}

.renderer-controls {
    flex-grow: 1;
    text-align: right;
}

.editor-controls {
    padding-top: 10px;
    margin-bottom: 10px;
    flex-grow: 1;
    background-color: var(--toolbar-background);
}

.toolbar-format-dropdown {
    display: inline-block;
    vertical-align: top;
    margin-right: 6px;
}

.toolbar-options-dialog {
    position: fixed;
    background-color: var(--global-secondary-background);
    width: 500px;
    padding: 30px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

.toolbar-options {
    flex-grow: 1;
}

.toolbar-options-tip {
    border-top: 1px solid var(--neutral-2);
    margin-top: 20px;
    padding-top: 10px;
    color: #777;
    font-size: .9em;
    line-height: 1.5;
}

/*************************************************************************
    FORMAT PICKER
*************************************************************************/

.format-picker {
    display: inline-block;
    vertical-align: top;
}

.picker-btn {
    min-width: 190px;
    width: 100%;
    text-align: left;
    padding-left: 10px !important;
}

.picker-btn:hover {
    color: var(--button-text-foreground) !important;
}

.picker-btn .icon {
    position: absolute;
    right: 5px;
    top: 50%;
    transform: translateY(-50%);
    font-size: .9em;
}

.format-picker .dialog {
    cursor: default;
    background: var(--global-secondary-background);
    text-align: left;
    padding: 30px;
    width: 580px;
    min-height: 400px;
    transform: translateX(50%);
}

.format-picker-placeholder {
    text-align: center;
    padding: 10px 0 20px 0;
}

.format-picker-placeholder .buttons-wrapper {
    margin-top: 20px;
    text-align: center;
}

.format-picker-placeholder .buttons-wrapper * {
    display: inline-block;
    vertical-align: middle;
}

.format-picker-placeholder .buttons-wrapper .or {
    margin: 0 20px;
}

.format-picker .filter-options {
    display: flex;
}

.reset-filters-btn-wrapper {
    flex-grow: 1;
    text-align: right;
}

.reset-filters-btn {
}

.format-picker .search-field {
    width: 100%;
    box-sizing: border-box;
    border: 1px solid var(--form-element-border);
    background: var(--form-element-background);
    color: var(--form-element-foreground);
    padding: 10px 10px;
    border-radius: 4px;
}

.search-field-wrapper {
    position: relative;
    display: flex;
    margin: 15px 0 15px 0;
}

.erase-btn {
    position: absolute;
    top: 50%;
    right: 22px;
    transform: translateY(-50%);
    color: var(--form-element-icon-foreground);
    background: transparent !important;
    font-size: 16px !important;
}

.erase-btn:hover {
    background: transparent;
    color: var(--global-emphasis-foreground);
}

.search-icon {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    padding-left: 10px;
    border-left: 1px solid var(--form-element-border);
    color: var(--form-element-icon-foreground);
}

.format-picker .count-label {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 0 10px 10px 0;
    color: #999;
    font-size: .9em;
}

.options {
    max-height: 300px;
    max-width: 100%;
    overflow-y: auto;
    display: flex;
    flex-wrap: wrap;
}

.option {
    padding: 3px 20px;
    font-size: .9em;
    color: var(--form-element-foreground);
    width: 50%;
    box-sizing: border-box;
    display: flex;
    align-content: stretch;
    justify-content: center;
    border-radius: 4px;
    transition: .1s;
}

.option:hover {
    color: var(--global-strong-foreground);
}

.option:not(.selected):hover {
    background: var(--accent-primary-light);
}

.option.selected {
    background: var(--accent-primary);
    color: var(--palette-white);
}

.option:hover .option-text {
    margin-left: 10px;
}

.option div {
    align-self: center;
}

.option .tag-container {
    text-align: right;
    flex-grow: 1;
}

.option .tag-container .tag {

}

.option .option-text {
    transition: .3s;
}

.option .tag {
    background: var(--tag-format-background);
    color: var(--tag-format-foreground);
}

.option.selected .tag {
    background: var(--tag-format-selected-background);
    color: var(--tag-format-selected-foreground);
}

/*************************************************************************
    EDITOR
*************************************************************************/

.editor, .renderer {
    flex: 50%;
    background-color: var(--global-background);
    transition: .3s;
}

.editor {
    white-space: nowrap;
    display: flex;
    flex-direction: column;
}

.table-container {
    flex-grow: 1;
    position: relative;
}

.row-controls {
    position: absolute;
    top: 0;
    left: -30px;
}

.col-controls {
    position: absolute;
    top: -30px;
    left: 0;
}

.row-controls::after,
.col-controls::after {
    content: '';
    position: absolute;
    border-style: solid;
    border-width: 10px;
    transition: .2s;

}

.col-controls::after {
    top: 50%;
    right: -22px;
    margin-top: -10px;
    border-color: transparent transparent transparent var(--arrow-controls-background);
}

.row-controls::after {
    left: 50%;
    bottom: -22px;
    margin-left: -10px;
    border-color: var(--arrow-controls-background) transparent transparent transparent;
}

.col-controls:hover::after {
    border-color: transparent transparent transparent var(--arrow-controls-hover-background);
}

.row-controls:hover::after {
    border-color: var(--arrow-controls-hover-background) transparent transparent;
}

table {
    border-collapse: collapse;
    background-color: var(--global-secondary-background);
}

td {
    border: 1px solid var(--editor-grid-border);
}

.spreadsheet-cell {
    border: 2px solid transparent;
    background-color: var(--editor-cell-background);
    transition: background .2s;
}

.spreadsheet-cell:focus {
    border: 1px solid var(--editor-cell-focus);
    outline: 2px solid var(--editor-cell-focus);
}

.spreadsheet-cell.highlighted {
    background: var(--global-highlighted-background);
}

.row-name, .column-name, .corner-cell {
    color: #999;
    font-size: .8em;
    background: var(--editor-corner-cell-background);
}

.row-name {
    padding: 0 5px;
    text-align: right;
    background: var(--editor-header-cell-background);
}

.column-name {
    text-align: center;
    padding: 2px 0;
    background: var(--editor-header-cell-background);
}

.row-name.active {
    border-right: 3px solid var(--editor-header-cell-active);
    color: var(--editor-header-cell-active);
}

.column-name.active {
    border-bottom: 3px solid var(--editor-header-cell-active);
    color: var(--editor-header-cell-active);
}


.popover {
    background: var(--neutral-1);
    position: absolute;
    border-radius: 4px;
    transition: .3s;
    z-index: 2;
}

.popover.horizontal {
    box-shadow: 2px 2px 6px rgba(0, 0, 0, .3);
    padding: 5px 5px;
}

.popover.vertical {
    box-shadow: 2px 2px 6px rgba(0, 0, 0, .3);
    padding: 5px 5px;
}

.popover.vertical button {
    display: block;
}

/*************************************************************************
    TABLE RENDERER
*************************************************************************/

.renderer {
    position: relative;
    display: flex;
    flex-direction: column;
    z-index: 2;
}

.renderer-content {
    overflow: auto;
    flex-grow: 1;
}

.renderer-placeholder {
    width: 100%;
    font-size: 1.1em;
    margin-top: 40px;
    min-width: 400px;
}

.renderer-placeholder .markdown * {
    margin-top: 10px;
}

.renderer-placeholder p {
    padding: 0 40px;
}

.renderer-preview {
    padding-left: 10px;
    font-size: 1.1em;
    flex-grow: 1;
    overflow: auto;
    display: flex;
}

.renderer.vertical .renderer-preview {
    margin-top: 30px;
}

.renderer.horizontal .renderer-preview {
    margin-top: 30px;
}


.renderer-preview .numbers {
    padding-right: 10px;
    border-right: 1px solid var(--neutral-3);
    color: var(--numbers-foreground);
    text-align: right;
}

.renderer-preview .result {
    color: var(--result-foreground);
    flex-grow: 1;
    text-align: left;
    padding-left: 10px;
}

.prefill-btn {
    margin: 20px 0 0 40px;
    padding: 10px 20px;
    border-radius: 5px;
    background: var(--accent-primary);
    color: #fff;
    border: none;
}

/*************************************************************************
    CREATE DIALOG
*************************************************************************/

.create-dialog {
    position: absolute;
    background-color: var(--global-secondary-background);
    display: flex;
    flex-direction: column;
}

.grid-count {
    height: 30px;
    text-align: center;
}

.create-dialog .count-label {
    font-size: .9em;
    text-align: center;
    height: 20px;
    color: var(--create-grid-count-foreground);
}

.area {
    background: var(--create-grid-area-background);
    position: absolute;
    top: 0;
    left: 0;
}

.grid {
    flex-grow: 1;
    border: 1px solid var(--neutral-3);
    position: relative;
}

.line {
    position: absolute;
}

.line.horizontal {
    border-bottom: 1px solid var(--neutral-3);
    left: 0;
    right: 0;
}

.line.vertical {
    border-right: 1px solid var(--neutral-3);
    top: 0;
    bottom: 0;
}

/*************************************************************************
    IMPORT DIALOG
*************************************************************************/

.import-dialog {
    position: absolute;
    width: 500px;
    height: 50vh;
    flex-direction: column;
    display: flex;
    background-color: var(--global-secondary-background);
    color: var(--global-strong-foreground);
    padding: 30px;
}

.import-button {
    margin-top: 4px;
    width: 100%;
}

.import-dialog-toolbar {
}

.import-dialog textarea {
    font-family: monospace;
    width: 100%;
    box-sizing: border-box;
    display: block;
    resize: vertical;
    flex-grow: 1;
    border: 1px solid var(--neutral-3);
    padding: 10px;
    background-color: var(--global-secondary-background);
    margin-bottom: 12px;
    border-radius: 4px;
    transition: .15s;
}

.import-dialog textarea:focus {
    outline: none;
    border: 1px solid var(--form-element-hover-border);
}

.picker-wrapper {
    display: flex;
    margin-bottom: 8px;
}

.tooltip-wrapper {
    position: relative;
    border-radius: 8px;
    flex-grow: 1;
}

.tooltip-wrapper.highlighted {
    border: 4px solid var(--tooltip-outline);
}

.tooltip {
    position: absolute;
    top:    -25px;
    right: -260px;
    width:  190px;
    height:  80px;
    background: var(--tooltip-background);
    border-radius: 4px;
}

.tooltip::after {
    content: '';
    position: absolute;
    top: 50%;
    right: 100%;
    margin-top: -10px;
    border-width: 10px;
    border-style: solid;
    border-color: transparent var(--tooltip-background) transparent transparent;
}

.tooltip-text-wrapper {
    color: var(--tooltip-foreground);
    width: 100%;
    font-size: .9em;
    text-align: left;
    height: 20px;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    font-weight: bold;
}

.tooltip .icon,
.tooltip-text {
    display: inline-block;
    vertical-align: middle;
}

.tooltip .icon {
    margin-left: 20px;
}

.tooltip-text {
    margin-left: 10px;
}

.detect-format-btn {
    margin-left: 5px;
    padding: 8px 12px !important;
}

/*************************************************************************
    HELP
*************************************************************************/

.help-btn.active {
    background: var(--accent-primary);
    transform: rotate(45deg);
}

.help-btn.active .icon {
    transform: rotate(315deg);
}

.help-dialog {
    position: fixed;
    max-width: 757px;
    width: 90%;
    height: 70vh;
    z-index: 99;
    background-color: var(--global-secondary-background);
    padding: 30px;
}

.help-wrapper {
    display: flex;
    margin-top: 20px;
    max-height: 63vh;
}

.help-menu {
    border-right: 1px solid var(--neutral-2);
}

.help-content {
    flex-grow: 1;
    padding: 0 40px;
    overflow-y: auto;
}

.help-dialog .table-read-only {
    font-size: .9em;
}

.format-picker.fp-toolbar {
    margin-right: 8px;
}

.format-picker.fp-toolbar .dialog {
    position: absolute;
    top: 40px;
    right: 50%;
}

.format-picker.fp-import {
    margin-bottom: 0 !important;
}

.format-picker.fp-import .dialog {
    position: fixed;
    top: 0;
    right: 50%;
}

.about-top-bar {
    background: var(--global-tertiary-background);
    margin-bottom: 20px;
    padding: 5px;
    border-radius: 8px;
    display: flex;
}

.about-top-bar-button-container {
    flex-grow: 1;
    display: flex;
    align-items: center;
}

.about-top-bar-button-container button {
    margin-left: auto;
    margin-right: 3px;
}

.app-info {
}

.app-logo {
    display: inline-block;
    vertical-align: middle;
    margin-right: 15px;
}

.app-summary {
    display: inline-block;
    vertical-align: middle;
    text-align: left;
}

.app-name {

}

.app-version {
    color: var(--global-emphasis-foreground);
    font-size: .9em;
    margin-top: 5px;
}

/*************************************************************************
    Tags
*************************************************************************/

.context-global {
    background: var(--tag-context-global-background);
}

.context-editor {
    background: var(--tag-context-editor-background);
}

.context-import-dialog {
    background: var(--tag-context-import-dialog);
}

/*************************************************************************
    MARKDOWN
*************************************************************************/

.markdown {
}

.markdown h1 {
    color: var(--markdown-h1);
    margin: 0 0 25px 0;
    font-size: 1.3em;
    text-align: center;
}

.markdown h2 {
    color: var(--markdown-h2);
    margin: 25px 0 10px 0;
    font-size: 1.1em;
    font-weight: bold;
    text-align: center;
}

.markdown p {
    color: var(--markdown-p);
    font-size: .9em;
    line-height: 1.5;
}

.markdown a {
    color: var(--markdown-a);
    text-decoration: underline;
    cursor: pointer;
    font-size: .9em;
    line-height: 1.5;
}

.markdown code {
    background: var(--neutral-3);
    padding: 3px 5px;
    border-radius: 4px;
    color: var(--markdown-code);
}

/*************************************************************************
    MEDIA QUERIES
*************************************************************************/

@media screen and (min-width: 1300px) {
    .renderer-controls {
        padding: 10px 10px 0 30px;
    }
}

/* Screen width is insufficient to display all editor actions */
@media screen and (max-width: 1300px) {
    .branding {
        padding-right: 0;
    }

    .editor-controls {
        box-shadow: 0 1px 5px rgba(0, 0, 0, .2);
        position: absolute;
        top: 55px;
        left: 70px;
        padding-bottom: 10px;
    }

    .editor-controls button {
        display: block;
        width: 100%;
        text-align: left;
        padding-left: 16px;
        padding-right: 20px;
        border-left: 3px solid transparent;
    }

    .editor-controls button:hover {
        border-left: 3px solid var(--accent-primary-strong);
    }

    .renderer-controls {
        padding: 10px 10px 0 0;
    }

}



/* Breaks to vertical layout */
@media screen and (max-width: 1000px) {

    .format-picker.fp-toolbar .dialog {
        right: inherit;
        transform: inherit;
        position: fixed;
        top: 60px;
        left: 20px;
    }

}
